GWTextInternal::Frame Struct Reference

Internal and low level: structure which stores a text position for GWText. More...

## Public Member Functions

| Frame ()
| constructor More...

## Public Attributes

Box2f | m_pos
| the frame position More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Frame const &frm)
| operator<< More...

## Detailed Description

Internal and low level: structure which stores a text position for GWText.

## Constructor & Destructor Documentation

GWTextInternal::Frame::Frame | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Frame const & | frm
| ) |  |

friend

operator<<

## Member Data Documentation

std::string GWTextInternal::Frame::m_extra

extra data

Referenced by GWText::readZonePositions().

int GWTextInternal::Frame::m_page

the page

Referenced by GWText::readZonePositions().

Box2f GWTextInternal::Frame::m_pos

the frame position

Referenced by GWText::readZonePositions().

The documentation for this struct was generated from the following file:

- GWText.cxx